// AccountHome.java

package org.objectweb.jonas.jtests.beans.ebasic;

import java.rmi.RemoteException;
import java.util.Collection;
import javax.ejb.CreateException;
import javax.ejb.EJBHome;
import javax.ejb.FinderException;

/**
 * Home interface for the bean Account
 */
public interface AccountHome extends EJBHome {
    Account create(int num, java.lang.String name) throws CreateException, RemoteException;
    Account findByPrimaryKey(java.lang.Integer pk) throws FinderException, RemoteException;
    Account findByNumber(int num) throws FinderException, RemoteException;
    Collection findAll() throws FinderException, RemoteException;
}
